Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Geniplate

Description

Utilities related to Geniplate.

Synopsis

- instanceUniverseBiT' :: [TypeQ] -> TypeQ -> Q [Dec]
- instanceTransformBiMT' :: [TypeQ] -> TypeQ -> TypeQ -> Q [Dec]
- dontDescendInto :: [TypeQ]

# Documentation

instanceUniverseBiT' :: [TypeQ] -> TypeQ -> Q [Dec] #

A localised instance of `instanceUniverseBiT`. The generated `universeBi` functions neither descend into the types in `dontDescendInto`, nor into the types in the list argument.

instanceTransformBiMT' :: [TypeQ] -> TypeQ -> TypeQ -> Q [Dec] #

A localised instance of `instanceTransformBiMT`. The generated `transformBiM` functions neither descend into the types in `dontDescendInto`, nor into the types in the list argument.

dontDescendInto :: [TypeQ] #

Types which Geniplate should not descend into.